Bug 4910 - Debian Packaging does not start Apache (on Ubuntu Lucid)
Summary: Debian Packaging does not start Apache (on Ubuntu Lucid)
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: rel_3_2
Hardware: PC Linux
: P5 - low enhancement (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-25 01:28 UTC by custard
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description custard 2010-06-25 01:28:47 UTC
This is probably very low on the priority list...

After running a test install on Lucid Apache2 did not appear to start. After debconf set up the MySQL bits for me this was a bit of a surprise.

This appeared to be because:
a) mod_rewrite wasn't turned on, and 
b) the default website stayed resident (even though the koha site was enabled)

I'd be happy if there was a note in debconf to say that apache will need a bit of work (cf. zebra in the web installer).

___
From Notebook:
Immediately post install apache wasn't running. Manually starting it gives:

custard@KohaTest:~$/etc/init.d/apache2 start
* starting web server apache2
Syntax error on line 82 of /etc/apache2/sites-enabled/koha:
Invalid command 'RewriteEngine', perhaps misspelled or defined by a module not included in the server configuration

After running sudo a2enmod rewrite I was shown the default site, which I disabled (sudo a2dissite default) and then got the koha web-installer.
Comment 1 Robin Sheat 2010-06-25 02:12:11 UTC
Not automatically changing the apache configuration is a conscious decision. However, I would like to get some debconf stuff in there that asks if the admin would like the config changed. So, I'll assign this to me, but it probably won't happen for a little while :)
Comment 2 custard 2010-06-25 02:55:29 UTC
Fair enough. If you happen to be playing with debconf before that, would it be possible to drop in a note to the effect that apache will need manual setup?
Comment 3 Robin Sheat 2010-06-25 02:57:09 UTC
Sure, definitely a good idea.
Comment 4 Robin Sheat 2010-07-02 02:29:39 UTC
I just checked, in order to see about putting this in, and it turns out that it does in fact do this. After install it says:

Please see /usr/share/doc/koha/README.Debian for instructions on how to
configure things after installing the koha package.

and this says, among other things:

* Enable the suexec module for Apache.
  - sudo a2enmod suexec
* Enable the rewrite module for Apache.
  - sudo a2enmod rewrite
Comment 5 Mirko Tietgen 2013-01-15 13:17:18 UTC
Changing this to resolved-invalid due to Robin's comments. There does not seem to be anything to fix here.